<?php
/**
 * 渡されたCHTML文字列を現在閲覧中の機種に応じてXHTMLに変換します
 * @copyright Copyright &copy; 2008, <m_nakashima@users.sourceforge.jp>
 * @author  m.nakashima <m_nakashima@users.sourceforge.jp>
 */
class CHTMLConverter {
    /** 変換ルール記述ファイルパス	*/
    var $rule_file_path;
    /**
     * コンストラクタ
     * @param $rule_file_path
     */
    function CHTMLConverter( $rule_file_path ) {
    	if( strlen($rule_file_path) > 0 && file_exists( $rule_file_path ) ) {
	    	$this->rule_file_path	= $rule_file_path;
    	} else {
    		$this->rule_file_path	= dirname(__FILE__) . DIRECTORY_SEPARATOR . 'htmlconv.dat';
    	}
    }
    function convert( $strings ) {
    	
    }
}
?>